## ayatana-indicator-session 24.2.0-0+git20240223.2778+12.nightly.1

=== debian/changelog ===
ayatana-indicator-session (24.2.0-0+git20240223.2778+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    aafe9ced92eb27b59933408afdd112830cdf2db7).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 23 Feb 2024 16:03:44 +0100

ayatana-indicator-session (24.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 23 Feb 2024 15:54:56 +0100

ayatana-indicator-session (23.10.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 26 Dec 2023 13:19:08 +0100

ayatana-indicator-session (23.10.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Nov 2023 10:30:41 +0100

ayatana-indicator-session (23.10.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Nov 2023 16:50:49 +0100

ayatana-indicator-session (23.10.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 13 Oct 2023 08:07:14 +0200

ayatana-indicator-session (22.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 06 Jun 2023 09:08:24 +0200

ayatana-indicator-session (22.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 28 Feb 2023 22:41:39 +0100

ayatana-indicator-session (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 14 Sep 2022 14:30:01 +0200

=== debian/control ===
Source: ayatana-indicator-session
Section: nightly/x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libayatana-common-dev (>= 0.9.9),
               systemd [linux-any],
               librda-dev,
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common,
         gsettings-desktop-schemas,
         systemd [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
Recommends: gnome-screensaver | mate-screensaver | xfce4-session,,
            mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            unity-control-center | gnome-control-center | mate-control-center | xfce4-settings,
            unity-control-center-signon | gnome-control-center-signon | mate-control-center | xfce4-settings,
            yelp | x-www-browser | firefox | chromium,
            x-www-browser | firefox | chromium,
Suggests: apport,
          lightdm,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status.   Switching to another user.  Starting a guest session.  Or
 controlling the status of their own session.
 .
 It requires some way to be hosted into a panel. For the MATE Panel the
 appropriate package is mate-indicator-applet. For the Xfce Panel the
 appropriate package is xfce4-indicator-plugin.

## ayatana-indicator-session 24.5.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (ayatana-indicator-session VERSION 24.5.0 LANGUAGES C CXX)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE "ayatana-indicator-session")

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_RDA "Enable RDA (remote desktop awareness)" ON)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

add_definitions("-Wno-sign-compare") # Needed for GTest on Ubuntu

##
##  GNU standard installation directories
##

include (GNUInstallDirs)

##
##  Check for prerequisites
##
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)
set (SERVICE REQUIRED
     libayatana-common>=0.9.2
     glib-2.0>=2.36
     gio-unix-2.0>=2.36)

if (ENABLE_RDA)
	list (APPEND SERVICE rda)
	add_definitions (-DRDA_ENABLED)
endif ()

pkg_check_modules (SERVICE REQUIRED ${SERVICE})

include_directories (${SERVICE_INCLUDE_DIRS})

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/src)

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

if (ENABLE_TESTS)

    include(CTest)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)

        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(TARGETS "libayatanaindicatorsessionservice" "ayatana-indicator-session-service" TESTS "test-service" "test-actions" "test-guest" "test-users" FILTER /usr/include ${CMAKE_BINARY_DIR}/*)

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== src/CMakeLists.txt ===
add_subdirectory (backend-dbus)

add_library (libayatanaindicatorsessionservice STATIC
             actions.c
             actions.h
             guest.c
             guest.h
             recoverable-problem.c
             recoverable-problem.h
             service.c
             service.h
             users.c
             users.h
             utils.c
             utils.h)
include_directories(${SERVICE_INCLUDE_DIRS})
link_directories(${SERVICE_LIBRARY_DIRS})

set (SERVICE_EXEC "ayatana-indicator-session-service")
set_property (SOURCE main.c
              APPEND PROPERTY COMPILE_DEFINITIONS
              GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
              LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
add_executable (${SERVICE_EXEC} main.c)
target_link_libraries (${SERVICE_EXEC} libayatanaindicatorsessionservice backenddbus ${SERVICE_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME})

=== debian/changelog ===
ayatana-indicator-session (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move zenity from S: to D:. It is the final fallback app that gets called
      if other desktop utilities are missing.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:49:06 +0100

ayatana-indicator-session (24.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:09:56 +0200

=== debian/control ===
Source: ayatana-indicator-session
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper-compat (= 13),
               intltool,
               libayatana-common-dev (>= 0.9.5),
               libglib2.0-dev,
               libgtest-dev <!nocheck>,
               librda-dev,
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common (>= 0.8.0),
         gsettings-desktop-schemas,
         systemd [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
         zenity,
Recommends: yelp,
Suggests: apport,
          gnome-screensaver | mate-screensaver,
          mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
          unity-control-center | gnome-control-center | mate-control-center | lomiri-system-settings,
          unity-control-center-signon | gnome-control-center-signon | mate-control-center | lomiri-system-settings,
          lightdm,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status, switching to another user, starting a guest session, etc.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

## ayatana-indicator-session 24.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-session VERSION 24.5.0 LANGUAGES C CXX)
+project (ayatana-indicator-session VERSION 24.5.1 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

set (SCHEMA_NAME "org.ayatana.indicator.session.gschema.xml")

# let GSettings do the rest
find_package(GSettings REQUIRED)
add_schema (${SCHEMA_NAME})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")

endif()

##
##  XDG Autostart Config File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the XDG Autostart install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.session")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")


##
##  Icons
##

install (DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icons" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}")

=== src/backend-dbus/CMakeLists.txt ===
include (GdbusCodegen)

set(BACKEND_GENERATED_SOURCES
)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-display-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.DisplayManager.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-webcredentials
                   com.lomiri.indicators
                   ${CMAKE_CURRENT_SOURCE_DIR}/com.lomiri.indicators.webcredentials.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-accounts
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Manager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-seat
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-screen-saver
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.ScreenSaver.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-session-manager
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-end-session-dialog
                   org.gnome.SessionManager
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.EndSessionDialog.xml)

add_gdbus_codegen_with_namespace (BACKEND_GENERATED_SOURCES lomiri-session
                                  com.lomiri
                                  Lomiri
                                  ${CMAKE_CURRENT_SOURCE_DIR}/com.lomiri.Shell.Session.xml)

set (SOURCES actions.c guest.c users.c backend-dbus.c utils.c)

# add the bin dir to our include path s.t. our code can find the autogenerated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${SERVICE_INCLUDE_DIRS})

add_library (backenddbus STATIC ${SOURCES} ${BACKEND_GENERATED_SOURCES})

=== tests/backend-dbus/CMakeLists.txt ===
# build desktopmock
add_library (desktopmock STATIC
             mock-accounts.cc
             mock-accounts.h
             mock-login1-manager.cc
             mock-login1-manager.h
             mock-login1-seat.cc
             mock-login1-seat.h
             mock-display-manager-seat.cc
             mock-display-manager-seat.h
             mock-end-session-dialog.cc
             mock-end-session-dialog.h
             mock-object.cc
             mock-object.h
             mock-screen-saver.cc
             mock-screen-saver.h
             mock-lomiri-session.cc
             mock-lomiri-session.h
             mock-session-manager.cc
             mock-session-manager.h
             mock-user.cc
             mock-user.h
             mock-webcredentials.cc
             mock-webcredentials.h)

add_dependencies(desktopmock backenddbus)

include_directories (${SERVICE_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_SOURCE_DIR}/tests)

# test the Actions class
add_executable (test-actions
                test-actions.cc)
target_link_options(test-actions PRIVATE -no-pie)
add_test (test-actions test-actions)
target_link_libraries (test-actions desktopmock backenddbus libayatanaindicatorsessionservice ${SERVICE_LDFLAGS} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

# test the Guest class
add_executable (test-guest
                test-guest.cc)
target_link_options(test-guest PRIVATE -no-pie)
add_test (test-guest test-guest)
target_link_libraries (test-guest desktopmock backenddbus libayatanaindicatorsessionservice ${SERVICE_LDFLAGS} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

# test the Users class
add_executable (test-users
                test-users.cc)
target_link_options(test-users PRIVATE -no-pie)
add_test (test-users test-users)
target_link_libraries (test-users desktopmock backenddbus libayatanaindicatorsessionservice ${SERVICE_LDFLAGS} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

=== debian/changelog ===
ayatana-indicator-session (24.5.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_src-backend-dbus-actions-c-Dont-switch-to-greeter-when-locking-
      Lomiri.patch. Don't switch to greeter when locking the screen in Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Jun 2025 16:22:33 +0200

ayatana-indicator-session (24.5.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Apr 2025 11:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libgtest-dev <!nocheck>,
                librda-dev,
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON) \
    -DENABLE_COVERAGE=OFF \
    -DENABLE_RDA=ON \
    $(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
	find debian/ayatana-indicator-session/usr/lib -name *.a -delete

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# Hack as it seems it's not possible to easy run that under dbus-test-runner
override_dh_auto_test:
	env -u LD_PRELOAD dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/tests/control ===
Test-Command: obj-*/tests/test-service
Depends: ayatana-indicator-session,
  accountsservice
Restrictions: build-needed
